# This script is the workaround:
#
# I cannot open the Blender GUI on the compute server, but I need to change user settings.
#
# Run as: blender --background --python ChangeUserSettings.py
#
# Author: Bart Kroon
#         bart.kroon@philips.com 
#
# Copyright (c) Koninklijke Philips N.V.
# All rights reserved

import bpy

changed = False

if not bpy.context.user_preferences.system.use_scripts_auto_execute:
	print('use_scripts_auto_execute = True')
	bpy.context.user_preferences.system.use_scripts_auto_execute = True
	changed = True
	
if changed:
	bpy.ops.wm.save_userpref()
else:
	print('No changes')
